# Method: contactGroups.get

- [HTTP request](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.request_body)
- [Response body](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.response_body)
- [Authorization scopes](https://developers.google.com/people/api/rest/v1/contactGroups/get#body.aspect)
- [Try it!](https://developers.google.com/people/api/rest/v1/contactGroups/get#try-it)

Get a specific contact group owned by the authenticated user by specifying a contact group resource name.

### HTTP request

`GET https://people.googleapis.com/v1/{resourceName=contactGroups/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resourceName` | `string` Required. The resource name of the contact group to get. |

### Query parameters

| Parameters ||
|---|---|
| `maxMembers` | `integer` Optional. Specifies the maximum number of members to return. Defaults to 0 if not set, which will return zero members. |
| `groupFields` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Optional. A field mask to restrict which fields on the group are returned. Defaults to `metadata`, `groupType`, `memberCount`, and `name` if not set or set to empty. Valid fields are: - clientData - groupType - memberCount - metadata - name |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/people/api/rest/v1/contactGroups#ContactGroup`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contacts`
- `https://www.googleapis.com/auth/contacts.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).